nxt.ae

## Class AssetTransfer

- java.lang.Object
- - nxt.ae.AssetTransfer

-     public final class AssetTransfer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AssetTransfer.Event`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<AssetTransfer> listener, AssetTransfer.Event eventType)`
    `static DbIterator<AssetTransfer>` | `getAccountAssetTransfers(long accountId, int from, int to)`
    `static DbIterator<AssetTransfer>` | `getAccountAssetTransfers(long accountId, long assetId, int from, int to)`
    `static DbIterator<AssetTransfer>` | `getAllTransfers(int from, int to)`
    `long` | `getAssetId()`
    `static DbIterator<AssetTransfer>` | `getAssetTransfers(long assetId, int from, int to)`
    `int` | `getChainId()`
    `static int` | `getCount()`
    `byte[]` | `getFullHash()`
    `int` | `getHeight()`
    `long` | `getId()`
    `long` | `getQuantityQNT()`
    `long` | `getRecipientId()`
    `long` | `getSenderId()`
    `int` | `getTimestamp()`
    `static int` | `getTransferCount(long assetId)`
    `static void` | `init()`
    `static boolean` | `removeListener(Listener<AssetTransfer> listener, AssetTransfer.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAllTransfers

          public static DbIterator<AssetTransfer> getAllTransfers(int from,
                                                                  int to)

    - #### getCount

          public static int getCount()

    - #### addListener

          public static boolean addListener(Listener<AssetTransfer> listener,
                                            AssetTransfer.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<AssetTransfer> listener,
                                               AssetTransfer.Event eventType)

    - #### getAssetTransfers

          public static DbIterator<AssetTransfer> getAssetTransfers(long assetId,
                                                                    int from,
                                                                    int to)

    - #### getAccountAssetTransfers

          public static DbIterator<AssetTransfer> getAccountAssetTransfers(long accountId,
                                                                           int from,
                                                                           int to)

    - #### getAccountAssetTransfers

          public static DbIterator<AssetTransfer> getAccountAssetTransfers(long accountId,
                                                                           long assetId,
                                                                           int from,
                                                                           int to)

    - #### getTransferCount

          public static int getTransferCount(long assetId)

    - #### init

          public static void init()

    - #### getId

          public long getId()

    - #### getFullHash

          public byte[] getFullHash()

    - #### getChainId

          public int getChainId()

    - #### getAssetId

          public long getAssetId()

    - #### getSenderId

          public long getSenderId()

    - #### getRecipientId

          public long getRecipientId()

    - #### getQuantityQNT

          public long getQuantityQNT()

    - #### getTimestamp

          public int getTimestamp()

    - #### getHeight

          public int getHeight()